
package ca.canadapost.cpcdp.returns.stub.authreturn;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ca.canadapost.cpcdp.returns.stub.authreturn package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ca.canadapost.cpcdp.returns.stub.authreturn
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link NotificationsType }
     * 
     */
    public NotificationsType createNotificationsType() {
        return new NotificationsType();
    }

    /**
     * Create an instance of {@link ParcelCharacteristicsType }
     * 
     */
    public ParcelCharacteristicsType createParcelCharacteristicsType() {
        return new ParcelCharacteristicsType();
    }

    /**
     * Create an instance of {@link Messages }
     * 
     */
    public Messages createMessages() {
        return new Messages();
    }

    /**
     * Create an instance of {@link CreateAuthorizedReturnRequest }
     * 
     */
    public CreateAuthorizedReturnRequest createCreateAuthorizedReturnRequest() {
        return new CreateAuthorizedReturnRequest();
    }

    /**
     * Create an instance of {@link AuthorizedReturnType }
     * 
     */
    public AuthorizedReturnType createAuthorizedReturnType() {
        return new AuthorizedReturnType();
    }

    /**
     * Create an instance of {@link CreateAuthorizedReturnResponse }
     * 
     */
    public CreateAuthorizedReturnResponse createCreateAuthorizedReturnResponse() {
        return new CreateAuthorizedReturnResponse();
    }

    /**
     * Create an instance of {@link AuthorizedReturnInfoType }
     * 
     */
    public AuthorizedReturnInfoType createAuthorizedReturnInfoType() {
        return new AuthorizedReturnInfoType();
    }

    /**
     * Create an instance of {@link ReferencesType }
     * 
     */
    public ReferencesType createReferencesType() {
        return new ReferencesType();
    }

    /**
     * Create an instance of {@link AuthSettlementInfoType }
     * 
     */
    public AuthSettlementInfoType createAuthSettlementInfoType() {
        return new AuthSettlementInfoType();
    }

    /**
     * Create an instance of {@link ReceiverType }
     * 
     */
    public ReceiverType createReceiverType() {
        return new ReceiverType();
    }

    /**
     * Create an instance of {@link ArtifactsType }
     * 
     */
    public ArtifactsType createArtifactsType() {
        return new ArtifactsType();
    }

    /**
     * Create an instance of {@link PublicKeyInfoType }
     * 
     */
    public PublicKeyInfoType createPublicKeyInfoType() {
        return new PublicKeyInfoType();
    }

    /**
     * Create an instance of {@link DomesticAddressDetailsType }
     * 
     */
    public DomesticAddressDetailsType createDomesticAddressDetailsType() {
        return new DomesticAddressDetailsType();
    }

    /**
     * Create an instance of {@link ArtifactType }
     * 
     */
    public ArtifactType createArtifactType() {
        return new ArtifactType();
    }

    /**
     * Create an instance of {@link ReturnerType }
     * 
     */
    public ReturnerType createReturnerType() {
        return new ReturnerType();
    }

    /**
     * Create an instance of {@link PrintPreferencesType }
     * 
     */
    public PrintPreferencesType createPrintPreferencesType() {
        return new PrintPreferencesType();
    }

    /**
     * Create an instance of {@link NotificationsType.Notification }
     * 
     */
    public NotificationsType.Notification createNotificationsTypeNotification() {
        return new NotificationsType.Notification();
    }

    /**
     * Create an instance of {@link ParcelCharacteristicsType.Dimensions }
     * 
     */
    public ParcelCharacteristicsType.Dimensions createParcelCharacteristicsTypeDimensions() {
        return new ParcelCharacteristicsType.Dimensions();
    }

    /**
     * Create an instance of {@link Messages.Message }
     * 
     */
    public Messages.Message createMessagesMessage() {
        return new Messages.Message();
    }

}
