
package ca.canadapost.cpcdp.returns.stub.authreturn;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for AuthorizedReturnInfoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AuthorizedReturnInfoType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;all>
 *         &lt;element name="tracking-pin" type="{http://www.canadapost.ca/ws/soap/authreturn/v2}TrackingPINType"/>
 *         &lt;element name="public-key-info" type="{http://www.canadapost.ca/ws/soap/authreturn/v2}PublicKeyInfoType" minOccurs="0"/>
 *         &lt;element name="customer-barcode" type="{http://www.canadapost.ca/ws/soap/authreturn/v2}CustomerBarcodeType" minOccurs="0"/>
 *         &lt;element name="artifacts" type="{http://www.canadapost.ca/ws/soap/authreturn/v2}ArtifactsType"/>
 *       &lt;/all>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AuthorizedReturnInfoType", propOrder = {

})
public class AuthorizedReturnInfoType {

    @XmlElement(name = "tracking-pin", required = true)
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String trackingPin;
    @XmlElement(name = "public-key-info")
    protected PublicKeyInfoType publicKeyInfo;
    @XmlElement(name = "customer-barcode")
    @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
    protected String customerBarcode;
    @XmlElement(required = true)
    protected ArtifactsType artifacts;

    /**
     * Gets the value of the trackingPin property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTrackingPin() {
        return trackingPin;
    }

    /**
     * Sets the value of the trackingPin property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTrackingPin(String value) {
        this.trackingPin = value;
    }

    /**
     * Gets the value of the publicKeyInfo property.
     * 
     * @return
     *     possible object is
     *     {@link PublicKeyInfoType }
     *     
     */
    public PublicKeyInfoType getPublicKeyInfo() {
        return publicKeyInfo;
    }

    /**
     * Sets the value of the publicKeyInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link PublicKeyInfoType }
     *     
     */
    public void setPublicKeyInfo(PublicKeyInfoType value) {
        this.publicKeyInfo = value;
    }

    /**
     * Gets the value of the customerBarcode property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCustomerBarcode() {
        return customerBarcode;
    }

    /**
     * Sets the value of the customerBarcode property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCustomerBarcode(String value) {
        this.customerBarcode = value;
    }

    /**
     * Gets the value of the artifacts property.
     * 
     * @return
     *     possible object is
     *     {@link ArtifactsType }
     *     
     */
    public ArtifactsType getArtifacts() {
        return artifacts;
    }

    /**
     * Sets the value of the artifacts property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArtifactsType }
     *     
     */
    public void setArtifacts(ArtifactsType value) {
        this.artifacts = value;
    }

}
